using System;
using System.Collections.Generic;
using System.Text;

namespace InfiniTec.DirectoryServices
{
    /// <summary>
    /// This exception is thrown, when the initialization of an <see cref="Connection"/> instance
    /// has failed.
    /// </summary>
    [global::System.Serializable]
    public class InitializationFailedException : Exception
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="InitializationFailedException"/> class.
        /// </summary>
        public InitializationFailedException() { }
        /// <summary>
        /// Initializes a new instance of the <see cref="InitializationFailedException"/> class.
        /// </summary>
        /// <param name="message">The message of the exception.</param>
        public InitializationFailedException(string message) : base(message) { }
        /// <summary>
        /// Initializes a new instance of the <see cref="InitializationFailedException"/> class.
        /// </summary>
        /// <param name="message">The message of the exception.</param>
        /// <param name="inner">The inner exception.</param>
        public InitializationFailedException(string message, Exception inner) : base(message, inner) { }
        /// <summary>
        /// Initializes a new instance of the <see cref="InitializationFailedException"/> class.
        /// </summary>
        /// <param name="info">The <see cref="T:System.Runtime.Serialization.SerializationInfo"></see> that holds the serialized object data about the exception being thrown.</param>
        /// <param name="context">The <see cref="T:System.Runtime.Serialization.StreamingContext"></see> that contains contextual information about the source or destination.</param>
        /// <exception cref="T:System.Runtime.Serialization.SerializationException">The class name is null or <see cref="P:System.Exception.HResult"></see> is zero (0). </exception>
        /// <exception cref="T:System.ArgumentNullException">The info parameter is null. </exception>
        protected InitializationFailedException(
          System.Runtime.Serialization.SerializationInfo info,
          System.Runtime.Serialization.StreamingContext context)
            : base(info, context) { }
    }
}
