using System;
using System.Collections.Generic;
using System.Text;

namespace InfiniTec.DirectoryServices
{

    /// <summary>
    /// This exception is thrown, when an invalid <see cref="SearchToken"/> is specified
    /// for the <see cref="Searcher"/> class.
    /// </summary>
    [global::System.Serializable]
    public class InvalidSearchTokenSpecifiedException : ArgumentException
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="InvalidSearchTokenSpecifiedException"/> class.
        /// </summary>
        public InvalidSearchTokenSpecifiedException() { }
        /// <summary>
        /// Initializes a new instance of the <see cref="InvalidSearchTokenSpecifiedException"/> class.
        /// </summary>
        /// <param name="message">The message for the exception.</param>
        public InvalidSearchTokenSpecifiedException(string message) : base(message) { }
        /// <summary>
        /// Initializes a new instance of the <see cref="InvalidSearchTokenSpecifiedException"/> class.
        /// </summary>
        /// <param name="message">The message for the exception.</param>
        /// <param name="inner">The inner exception.</param>
        public InvalidSearchTokenSpecifiedException(string message, Exception inner) : base(message, inner) { }
        /// <summary>
        /// Initializes a new instance of the <see cref="InvalidSearchTokenSpecifiedException"/> class.
        /// </summary>
        /// <param name="info">The object that holds the serialized object data.</param>
        /// <param name="context">The contextual information about the source or destination.</param>
        protected InvalidSearchTokenSpecifiedException(
          System.Runtime.Serialization.SerializationInfo info,
          System.Runtime.Serialization.StreamingContext context)
            : base(info, context) { }
    }
}
