using System;
using System.Collections.Generic;
using System.Text;

namespace InfiniTec.DirectoryServices
{

    /// <summary>
    /// This exception is thrown, when an attempt is made to access the manager of an 
    /// <see cref="ActiveDirectoryEntry"/> instance, and the manager is not specified.
    /// </summary>
    [global::System.Serializable]
    public class ManagerNotSpecifiedException : Exception
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="ManagerNotSpecifiedException"/> class.
        /// </summary>
        public ManagerNotSpecifiedException() { }
        /// <summary>
        /// Initializes a new instance of the <see cref="ManagerNotSpecifiedException"/> class.
        /// </summary>
        /// <param name="message">The message.</param>
        public ManagerNotSpecifiedException(string message) : base(message) { }
        /// <summary>
        /// Initializes a new instance of the <see cref="ManagerNotSpecifiedException"/> class.
        /// </summary>
        /// <param name="message">The message.</param>
        /// <param name="inner">The inner.</param>
        public ManagerNotSpecifiedException(string message, Exception inner) : base(message, inner) { }
        /// <summary>
        /// Initializes a new instance of the <see cref="ManagerNotSpecifiedException"/> class.
        /// </summary>
        /// <param name="info">The <see cref="T:System.Runtime.Serialization.SerializationInfo"></see> that holds the serialized object data about the exception being thrown.</param>
        /// <param name="context">The <see cref="T:System.Runtime.Serialization.StreamingContext"></see> that contains contextual information about the source or destination.</param>
        /// <exception cref="T:System.Runtime.Serialization.SerializationException">The class name is null or <see cref="P:System.Exception.HResult"></see> is zero (0). </exception>
        /// <exception cref="T:System.ArgumentNullException">The info parameter is null. </exception>
        protected ManagerNotSpecifiedException(
          System.Runtime.Serialization.SerializationInfo info,
          System.Runtime.Serialization.StreamingContext context)
            : base(info, context) { }
    }
}
