using System;
using System.Collections.Generic;
using System.Text;

namespace InfiniTec.DirectoryServices
{
    /// <summary>
    /// Specifies the scope of a search operation with the <see cref="Searcher"/> class.
    /// </summary>
    public enum NamingContextScope
    {
        /// <summary>
        /// No scope specified
        /// </summary>
        NotSpecified,
        /// <summary>
        /// Restrict the search to the domain where the specified search root resides.
        /// </summary>
        Domain,
        /// <summary>
        /// Include all subordinate naming contexts in the search.
        /// </summary>
        IncludeSubDomains
    }
}
