using System;
using System.Collections.Generic;
using System.Text;
using System.Runtime.InteropServices;

namespace InfiniTec.DirectoryServices
{
    static class NativeMethods
    {
        public const uint Success = 0x0;
        public const uint OutOfMemory = 0x6;
        public const uint InvalidParameter = 0x7;
        public const uint NoSuchDomain = 0x54b;
        public const uint InvalidDomainName = 0x4bc;


        [DllImport("Ntdsapi.dll")]
        public extern static uint DsBindWithCred(
            string domainControllerName,
            string dnsDomainName,
            AuthenticationSafeHandle authIdentity,
            out DirectoryServiceConnectionSafeHandle result);

        [DllImport("Ntdsapi.dll")]
        public extern static uint DsMakePasswordCredentials(
            string user,
            string domain,
            string password,
            out AuthenticationSafeHandle authIdentity);

        [DllImport("Ntdsapi.dll")]
        public extern static uint DsFreePasswordCredentials(
            IntPtr authIdentity);

        [DllImport("Ntdsapi.dll")]
        public extern static uint DsUnBind(
            IntPtr handle);

        [DllImport("Ntdsapi.dll", CharSet=CharSet.Unicode)]
        public extern static uint DsCrackNames(
            DirectoryServiceConnectionSafeHandle handle,
            TranslationFlags translationFlags,
            NameFormat currentNameFormat,
            NameFormat targetNameFormat,
            uint numberOfNames,
            string[] currentNames,
            out IntPtr result);

        [DllImport("Ntdsapi.dll")]
        public extern static uint DsFreeNameResult(IntPtr nameResult);

        [StructLayout(LayoutKind.Sequential, CharSet = CharSet.Auto)]
        public struct DS_NAME_RESULT
        {
            public uint Count;
            public IntPtr Items; //  Array of pointers to DS_NAME_RESULT_ITEM
        }

        [StructLayout(LayoutKind.Sequential, CharSet = CharSet.Auto)]
        public struct DS_NAME_RESULT_ITEM
        {
            public uint Status;
            public string Domain;
            public string Name;
        }

    }


}
