using System;
using System.Collections.Generic;
using System.Text;
using System.Xml.XPath;
using System.Xml;
using System.Net;
using System.Collections;
using System.DirectoryServices.Protocols;

namespace InfiniTec.DirectoryServices
{
    /// <summary>
    /// This class contains the base functionality for a property of an Exchange item.
    /// </summary>
    public abstract class Property
    {
        private bool _HasChanged;
        private string _Name;
        
        /// <summary>
        /// Returns the full qualifed name of the property.
        /// </summary>
        /// <returns></returns>
        public override string ToString()
        {
            return Name;
        }
        /// <summary>
        /// Returns true, if the value of the property has changed.
        /// False, otherwise.
        /// </summary>
        public bool HasChanged
        {
            get { return _HasChanged; }
            protected set { _HasChanged = value; }
        }

        /// <summary>
        /// Returns the local name of the property.
        /// </summary>
        public string Name
        {
            get { return _Name; }
        }

        private Property()
        {
        }

        /// <summary>
        /// Creates a new instance of this class using the specified name.
        /// </summary>
        /// <param name="name">The full qualified name of the property</param>
        internal Property(string name):this()
        {
            _Name = name;
        }

        internal void SetChanged()
        {
            _HasChanged = true;
        }

    }
}