using System;
using System.Collections.Generic;
using System.Text;
using System.DirectoryServices.Protocols;
using InfiniTec.Threading;

namespace InfiniTec.DirectoryServices
{
    /// <summary>
    /// This class defines a commonly used <see cref="AsyncOperation"/>.
    /// </summary>
    /// <typeparam name="TPartialResult"></typeparam>
    /// <typeparam name="TResponse"></typeparam>
    public class RequestOperation<TPartialResult, TResponse> : AsyncOperation<TPartialResult, TResponse>
        where TResponse : DirectoryResponse
    {
        /// <summary>
        /// Initiates a new instance of this class using the spcecified operation.
        /// </summary>
        /// <param name="operation">The operation to execute</param>
        public RequestOperation(IEnumerable<OperationAction> operation) : base(operation) { }

    }
}
