using System;
using System.Collections.Generic;
using System.Text;
using System.Reflection;

namespace InfiniTec.DirectoryServices
{
    static class SchemaMapping
    {
        public static readonly string[] CommonSchema;
        public static readonly string[] PrincipalSchema;
        public static readonly string[] UserSchema;
        public static readonly string[] GroupSchema;

        static SchemaMapping()
        {
            CommonSchema = ExtractFieldValues(typeof(Constants.Common));
            PrincipalSchema = ExtractFieldValues(typeof(Constants.GroupMembership));
            UserSchema = ExtractFieldValues(typeof(Constants.User));
            GroupSchema = ExtractFieldValues(typeof(Constants.Group));
        }
	
        internal static string[] ExtractFieldValues(Type t)
        {
            List<string> result;

            result = new List<string>();
            foreach (FieldInfo info in t.GetFields(BindingFlags.Public | BindingFlags.Static))
            {
                result.Add((string)info.GetValue(null));
            }

            return result.ToArray();
        }

    }
}
