using System;
using System.Collections.Generic;
using System.Text;
using System.ComponentModel;
using System.Diagnostics;

namespace InfiniTec.DirectoryServices
{
    /// <summary>
    /// This class is used during search operation with the <see cref="Searcher"/> class.
    /// </summary>
    public class SearchProgressChangedEventArgs: CancelEventArgs
    {
        private IList<Item> _Items;

        /// <summary>
        /// Provides access to a list of items found during the search operation.
        /// </summary>
        /// <value>The items.</value>
        public IList<Item> Items
        {
            [DebuggerStepThrough]
            get { return _Items; }
        }

        /// <summary>
        /// Initializes a new instance of the <see cref="SearchProgressChangedEventArgs"/> class.
        /// </summary>
        public SearchProgressChangedEventArgs()
        {

        }

        /// <summary>
        /// Initializes a new instance of the <see cref="SearchProgressChangedEventArgs"/> class.
        /// </summary>
        /// <param name="items">The items found.</param>
        public SearchProgressChangedEventArgs(IList<Item> items)
        {
            _Items = items;
        }
	
    }
}
